ruby-librarian_0.6.4-1_all.deb


Advertisement

Description

ruby-librarian - framework for writing bundlers

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-librarian
Package version 0.6.4
Package release 1
Package architecture all
Package type deb
Installed size 189 B
Download size 33.89 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-librarian_0.6.4-1_all.deb 0.6.4 all Debian Main
ruby-librarian - - -

Requires

Name Value
ruby -
ruby-interpreter -
ruby-thor >= 0.15

Download

Type URL
Binary Package ruby-librarian_0.6.4-1_all.deb
Source Package ruby-librarian

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-librarian deb package:
    # sudo apt-get install ruby-librarian

Files

Path
/usr/lib/ruby/vendor_ruby/librarian.rb
/usr/lib/ruby/vendor_ruby/librarian/VERSION
/usr/lib/ruby/vendor_ruby/librarian/action.rb
/usr/lib/ruby/vendor_ruby/librarian/algorithms.rb
/usr/lib/ruby/vendor_ruby/librarian/cli.rb
/usr/lib/ruby/vendor_ruby/librarian/config.rb
/usr/lib/ruby/vendor_ruby/librarian/dependency.rb
/usr/lib/ruby/vendor_ruby/librarian/dsl.rb
/usr/lib/ruby/vendor_ruby/librarian/environment.rb
/usr/lib/ruby/vendor_ruby/librarian/error.rb
/usr/lib/ruby/vendor_ruby/librarian/helpers.rb
/usr/lib/ruby/vendor_ruby/librarian/lockfile.rb
/usr/lib/ruby/vendor_ruby/librarian/logger.rb
/usr/lib/ruby/vendor_ruby/librarian/manifest.rb
/usr/lib/ruby/vendor_ruby/librarian/manifest_set.rb
/usr/lib/ruby/vendor_ruby/librarian/mock.rb
/usr/lib/ruby/vendor_ruby/librarian/posix.rb
/usr/lib/ruby/vendor_ruby/librarian/resolution.rb
/usr/lib/ruby/vendor_ruby/librarian/resolver.rb
/usr/lib/ruby/vendor_ruby/librarian/source.rb
/usr/lib/ruby/vendor_ruby/librarian/spec.rb
/usr/lib/ruby/vendor_ruby/librarian/spec_change_set.rb
/usr/lib/ruby/vendor_ruby/librarian/specfile.rb
/usr/lib/ruby/vendor_ruby/librarian/ui.rb
/usr/lib/ruby/vendor_ruby/librarian/version.rb
/usr/lib/ruby/vendor_ruby/librarian/action/base.rb
/usr/lib/ruby/vendor_ruby/librarian/action/clean.rb
/usr/lib/ruby/vendor_ruby/librarian/action/ensure.rb
/usr/lib/ruby/vendor_ruby/librarian/action/install.rb
/usr/lib/ruby/vendor_ruby/librarian/action/persist_resolution_mixin.rb
/usr/lib/ruby/vendor_ruby/librarian/action/resolve.rb
/usr/lib/ruby/vendor_ruby/librarian/action/update.rb
/usr/lib/ruby/vendor_ruby/librarian/cli/manifest_presenter.rb
/usr/lib/ruby/vendor_ruby/librarian/config/database.rb
/usr/lib/ruby/vendor_ruby/librarian/config/file_source.rb
/usr/lib/ruby/vendor_ruby/librarian/config/hash_source.rb
/usr/lib/ruby/vendor_ruby/librarian/config/source.rb
/usr/lib/ruby/vendor_ruby/librarian/dsl/receiver.rb
/usr/lib/ruby/vendor_ruby/librarian/dsl/target.rb
/usr/lib/ruby/vendor_ruby/librarian/environment/runtime_cache.rb
/usr/lib/ruby/vendor_ruby/librarian/linter/source_linter.rb
/usr/lib/ruby/vendor_ruby/librarian/lockfile/compiler.rb
/usr/lib/ruby/vendor_ruby/librarian/lockfile/parser.rb
/usr/lib/ruby/vendor_ruby/librarian/manifest/pre_release_version.rb
/usr/lib/ruby/vendor_ruby/librarian/manifest/version.rb
/usr/lib/ruby/vendor_ruby/librarian/mock/cli.rb
/usr/lib/ruby/vendor_ruby/librarian/mock/dsl.rb
/usr/lib/ruby/vendor_ruby/librarian/mock/environment.rb
/usr/lib/ruby/vendor_ruby/librarian/mock/extension.rb
/usr/lib/ruby/vendor_ruby/librarian/mock/source.rb
/usr/lib/ruby/vendor_ruby/librarian/mock/version.rb
/usr/lib/ruby/vendor_ruby/librarian/mock/source/mock.rb
/usr/lib/ruby/vendor_ruby/librarian/mock/source/mock/registry.rb
/usr/lib/ruby/vendor_ruby/librarian/resolver/implementation.rb
/usr/lib/ruby/vendor_ruby/librarian/rspec/support/cli_macro.rb
/usr/lib/ruby/vendor_ruby/librarian/source/basic_api.rb
/usr/lib/ruby/vendor_ruby/librarian/source/git.rb
/usr/lib/ruby/vendor_ruby/librarian/source/local.rb
/usr/lib/ruby/vendor_ruby/librarian/source/path.rb
/usr/lib/ruby/vendor_ruby/librarian/source/git/repository.rb
/usr/lib/ruby/vendor_ruby/librarian/support/abstract_method.rb
/usr/share/doc/ruby-librarian/README.md
/usr/share/doc/ruby-librarian/changelog.Debian.gz
/usr/share/doc/ruby-librarian/changelog.gz
/usr/share/doc/ruby-librarian/copyright
/usr/share/rubygems-integration/all/specifications/librarianp-0.6.4.gemspec

Changelog

2018-03-18 - Sebastien Badia <sbadia@debian.org>
ruby-librarian (0.6.4-1) unstable; urgency=medium
* New upstream version 0.6.4
* d/copyright: Update copyritght years and use HTTPS for URI
* d/watch: Bump to version 4 and use HTTPS for URI
* d/compat: Bump compat version to 11
* d/control:
+ Bump to Standards-Version 4.1.3 (no changes needed)
+ Use salsa.debian.org in Vcs-* fields
+ Update homepage field (migrated to voxpupuli)
+ Use my Debian email address
* d/rules: Clean debian rules comments
* Update Debian packaging using dh-make-ruby -w
(remove unneeded deps, add rake tests and fix B-D)
* d/upstream: Added Upstream metadata
2016-03-09 - Sebastien Badia <seb@sebian.fr>
ruby-librarian (0.6.3-1) unstable; urgency=medium
[ Christian Hofstaedtler ]
* Remove obsolete d/require-rubygems.overrides
[ Cédric Boutillier ]
* Bump debhelper compatibility level to 9
* Remove version in the gem2deb build-dependency
* Use https:// in Vcs-* fields
* Bump Standards-Version to 3.9.7 (no changes needed)
* Run wrap-and-sort on packaging files
[ Sebastien Badia ]
* d/watch: Switch to librarianp
* Update homepage and copyright
* Imported Upstream version 0.6.3
* Add myself to uploaders
2014-02-15 - Stig Sandbeck Mathisen <ssm@debian.org>
ruby-librarian (0.1.2-1) unstable; urgency=medium
* Imported upstream release 0.1.2
* Add patch: Read VERSION from the library namespace
2014-01-16 - Cédric Boutillier <boutil@debian.org>
ruby-librarian (0.1.1-2) unstable; urgency=medium
* Team upload
* Drop dependency on rubygems, since it is included in all supported
versions of the Ruby interpreter
2014-01-09 - Stig Sandbeck Mathisen <ssm@debian.org>
ruby-librarian (0.1.1-1) unstable; urgency=low
* New upstream release
* Bump standards version (no changes)
* Remove unnecessary versions from dependencies
2013-05-05 - Stig Sandbeck Mathisen <ssm@debian.org>
ruby-librarian (0.1.0-1) unstable; urgency=low
* New upstream version
* librarian-chef is no longer included
2013-01-29 - Stig Sandbeck Mathisen <ssm@debian.org>
ruby-librarian (0.0.26-1) unstable; urgency=low
* Initial release (Closes: #698210)

See Also

Package Description
ruby-librdf_1.0.17.1+dfsg-1.3+b6_amd64.deb Ruby language bindings for the Redland RDF library
ruby-libvirt_0.7.1-1_amd64.deb Ruby bindings for libvirt
ruby-libxml_3.1.0-1_amd64.deb Ruby Bindings for LibXML2
ruby-license-finder_2.1.2-2_all.deb audit the OSS licenses of your application's dependencies
ruby-licensee_8.9.2-1_all.deb program to detect open source project licenses
ruby-liquid_4.0.0-2_all.deb Ruby library for rendering safe HTML and email templates
ruby-listen_3.1.5-1_all.deb Ruby library listening to file modifications
ruby-little-plugger_1.1.4-1_all.deb module that provides Gem based plugin management
ruby-locale_2.1.2-1_all.deb Locale library for Ruby
ruby-lockfile_2.1.3-1_all.deb create NFS-safe lockfiles
ruby-log4r_1.1.10-4_all.deb Logging library for Ruby
ruby-logger-application_0.0.2-1_all.deb add logging support to Ruby application
ruby-logging-rails_0.5.0-2_all.deb Logging for rail applications
ruby-logging_2.2.2-1_all.deb flexible and extendable logging library for Ruby
ruby-logify_0.2.0-1_all.deb Lightweight logging library for Ruby
Advertisement
Advertisement